Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class IdentityConstants

    java.lang.Object
      org.wso2.solutions.identity.IdentityConstants

    public class IdentityConstants

extends java.lang.Object

Common constants of the identity solution.

Field Summary
`static java.lang.String` | `CLAIM_CITY`
`static java.lang.String` | `CLAIM_COUNTRY`
`static java.lang.String` | `CLAIM_EMAIL_ADDRESS`
`static java.lang.String` | `CLAIM_GIVEN_NAME`
`static java.lang.String` | `CLAIM_HOME_PHONE`
`static java.lang.String` | `CLAIM_MOBILE_PHONE`
`static java.lang.String` | `CLAIM_NICKNAME`
`static java.lang.String` | `CLAIM_POSTAL_CODE`
`static java.lang.String` | `CLAIM_PPID`
`static java.lang.String` | `CLAIM_STATE`
`static java.lang.String` | `CLAIM_STREET_ADDRESS`
`static java.lang.String` | `CLAIM_SURNAME`
`static java.lang.String` | `CLAIM_WORK_PHONE`
`static java.lang.String` | `IDENTITY_ADDRESSING_NS`
`static java.lang.String` | `NS`
`static java.lang.String` | `NS_MSFT_ADDR`
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `SELF_ISSUED_ISSUER`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELF_ISSUED_ISSUER

    public static final java.lang.String SELF_ISSUED_ISSUER

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

### NS_MSFT_ADDR

    public static final java.lang.String NS_MSFT_ADDR

See Also:
  Constant Field Values

### IDENTITY_ADDRESSING_NS

    public static final java.lang.String IDENTITY_ADDRESSING_NS

See Also:
  Constant Field Values

### CLAIM_GIVEN_NAME

    public static final java.lang.String CLAIM_GIVEN_NAME

See Also:
  Constant Field Values

### CLAIM_SURNAME

    public static final java.lang.String CLAIM_SURNAME

See Also:
  Constant Field Values

### CLAIM_EMAIL_ADDRESS

    public static final java.lang.String CLAIM_EMAIL_ADDRESS

See Also:
  Constant Field Values

### CLAIM_STREET_ADDRESS

    public static final java.lang.String CLAIM_STREET_ADDRESS

See Also:
  Constant Field Values

### CLAIM_CITY

    public static final java.lang.String CLAIM_CITY

See Also:
  Constant Field Values

### CLAIM_STATE

    public static final java.lang.String CLAIM_STATE

See Also:
  Constant Field Values

### CLAIM_POSTAL_CODE

    public static final java.lang.String CLAIM_POSTAL_CODE

See Also:
  Constant Field Values

### CLAIM_COUNTRY

    public static final java.lang.String CLAIM_COUNTRY

See Also:
  Constant Field Values

### CLAIM_HOME_PHONE

    public static final java.lang.String CLAIM_HOME_PHONE

See Also:
  Constant Field Values

### CLAIM_WORK_PHONE

    public static final java.lang.String CLAIM_WORK_PHONE

See Also:
  Constant Field Values

### CLAIM_MOBILE_PHONE

    public static final java.lang.String CLAIM_MOBILE_PHONE

See Also:
  Constant Field Values

### CLAIM_PPID

    public static final java.lang.String CLAIM_PPID

See Also:
  Constant Field Values

### CLAIM_NICKNAME

    public static final java.lang.String CLAIM_NICKNAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD